Merge credit note metadata
curl --request PATCH \
--url https://api.getlago.com/api/v1/credit_notes/{lago_id}/metadata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"external_id": "ext-123",
"synced_at": "2024-01-15",
"source": null
}
}
'import requests
url = "https://api.getlago.com/api/v1/credit_notes/{lago_id}/metadata"
payload = { "metadata": {
"external_id": "ext-123",
"synced_at": "2024-01-15",
"source": None
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {external_id: 'ext-123', synced_at: '2024-01-15', source: null}})
};
fetch('https://api.getlago.com/api/v1/credit_notes/{lago_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"external_id": "ext-123",
"synced_at": "2024-01-15",
"source": null
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}{
"status": 422,
"error": "Unprocessable entity",
"code": "validation_errors",
"error_details": {}
}Metadata
Udpate metadata
This endpoint merges the provided metadata with existing metadata on the credit note. Existing keys not in the request are preserved. New keys are added, existing keys are updated.
PATCH
/
credit_notes
/
{lago_id}
/
metadata
Merge credit note metadata
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The credit note unique identifier, created by Lago.
Example:
"1a901a90-1a90-1a90-1a90-1a901a901a90"
Body
application/json
Custom metadata stored as key-value pairs. Keys are strings (max 100 characters), values can be strings (max 255 characters) or null.
Show child attributes
Show child attributes
Example:
{
"external_id": "ext-123",
"synced_at": "2024-01-15",
"source": null
}Response
Credit note metadata merged
Custom metadata stored as key-value pairs. Keys are strings (max 100 characters), values can be strings (max 255 characters) or null.
Show child attributes
Show child attributes
Example:
{
"external_id": "ext-123",
"synced_at": "2024-01-15",
"source": null
}⌘I